# DataGridViewRowStateChangedEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [RowStateChanged](/api/wisej.web/lists-and-grids/datagridview.md#rowstatechanged) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewRowStateChangedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewRowStateChangedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewRowStateChangedEventArgs(dataGrid, rowIndex, state)

Initializes a new instance of [DataGridViewRowStateChangedEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowstatechangedeventargs.md).

| Name         | Type                                                                                                            | Description                                                                                                                                                                         |
| ------------ | --------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **dataGrid** | [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md)                                                  |                                                                                                                                                                                     |
| **rowIndex** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                                     | The index of the [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) that the event occurred for.                                           |
| **state**    | [DataGridViewElementStates](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelementstates.md) | One of the [DataGridViewElementStates](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelementstates.md) values indicating the state that has changed on the row. |

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewRowStateChangedEventArgs(row, state)

Initializes a new instance of the [DataGridViewRowStateChangedEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowstatechangedeventargs.md) class.

| Name      | Type                                                                                                            | Description                                                                                                                                                                         |
| --------- | --------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **row**   | [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md)                     | The [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) that has a changed state.                                                           |
| **state** | [DataGridViewElementStates](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelementstates.md) | One of the [DataGridViewElementStates](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelementstates.md) values indicating the state that has changed on the row. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Row

[DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md): Returns the [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) that has a changed state.

### ![](/files/hsR4ok3152WyAf8J2C1u) RowIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) that has a changed state.

### ![](/files/hsR4ok3152WyAf8J2C1u) StateChanged

[DataGridViewElementStates](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelementstates.md): Returns the state that has changed on the row.

## Used By

| Name                                                                                                                                        | Description                                                                                                                                                                                             |
| ------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewRowStateChangedEventHandler](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowstatechangedeventhandler.md) | Represents the method that will handle the [RowStateChanged](/api/wisej.web/lists-and-grids/datagridview.md#rowstatechanged) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowstatechangedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
